NombreClase

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class NombreClase

    java.lang.Object
      NombreClase

    public class NombreClase

extends java.lang.Object

Author:
  Nombre Completo del autor de la clase AQUI VA UNA DESCRIPCIÓN COMPLETA DE LA CLASE, QUE ENTIDAD REPRESENTA, QUE HACE QUE CONTIENE, ETC. CONTROL DE CAMBIOS: EN ESTA SECCIÓN DEBEMOS ESPECIFICAR LOS CAMBIOS QUE SE LE HAGAN A LA CLASE DESPUÉS DE QUE SE HA CREADO (HAY QUE TENER EN CUENTA QUE UNA VEZ QUE CREEMOS LA CLASE DEBEMOS POR LO MENOS ESPECIFICAR TODOS LOS MÉTODOS QUE VA A TENER LA CLASE ASI NO ESTEN IMPLEMENTADOS AÚN), ESTOS CAMBIOS INCLUYEN ADICIONAR NUEVGS ATRIBUTOS O MÉTODOS A LA CLASE, ELIMINAR ATRIBUTOS O MÉTODOS DE LA CLASE O MODIFICAR LOS YA EXISTENTES. SE DEBE SEGUIR EL SIGUIENTE FORMATO: Fecha Autor tipo cambio descripción LA IDEA ES QUE SE VAYA ARMANDO UNA TABLA CON LOS CAMBIOS QUE SE LE HAN HECHO A LA CALSE CRONOLÓGICAMENTE. LA FECHA ES LA FECHA EN LA QUE SE HACE EL CAMBIO EL AUTOR ES LA PERSONA QUE HACE EL CAMBIO (IDEALMENTE DEBERIA SER EL MISMO AUTOR DE LA CLASE) EL TIPO DE CAMBIO PUEDE SER INSERTAR, ELIMINAR O MODIFICAR CAMBIO ES EL NOMBRE DEL MÉTODO O ATRIBUTO QUE FUE INSERTADO, ELIMINADO O MODIFICADO DESCRIPCIÓN ES UNA DESCRIPCIÓN DETALLADA DE LO QUE SE HIZO

Field Summary
`private int` | `nombreAtributo` EXPLICAR CADA UNO DE LOS ATRIBUTOS DE LA CLASE, QUE REPRESENTA, PARA QUE SE USA, ETC.

Constructor Summary
`NombreClase()`

Method Summary
`int` | `nombreMetodo(int nombreParametro)` AQUI VA UNA DESCRIPCIÓN DETALLADA DE LO QUE HACE EL MÉTODO

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nombreAtributo

    private int nombreAtributo

  EXPLICAR CADA UNO DE LOS ATRIBUTOS DE LA CLASE, QUE REPRESENTA, PARA QUE SE USA, ETC. IDEALMENTE TODOS LOS ATRIBUTOS DE UNA CLASE DEBEN SER PRIVADOS Y SI ES NECESARIO SE IMPLEMENTAN MÉTODOS GET Y SET. TODOS LOS ATRIBUTOS SE DEBEN DECLARAR ANTES DE EMPEZAR A DECLARAR LOS MÉTODOS Y EL PRIMER MÉTODO QUE SE DEBE DECLARAR ES EL CONSTRUCTOR DE LA CLASE.

Constructor Detail

### NombreClase

    public NombreClase()

Method Detail

### nombreMetodo

    public int nombreMetodo(int nombreParametro)

  AQUI VA UNA DESCRIPCIÓN DETALLADA DE LO QUE HACE EL MÉTODO

  Returns:
    EXPLICAR QUE DEVUELVE EL MÉTODO Y BAJO QUE CONDICIONES
  Throws:
    `SI` - EL MÉTODO LANZA ALGUNA EXCEPCIÓN, EXPLICAR QUE TIPO DE EXCEPCIÓN LANZA Y EN QUE CASOS OCURRE ESO, ADEMÁS SE DEBE ESPECIFICAR QUE PASA CON LAS OPERACIONES QUE SE ESTABAN EJECUTANDO Y LOS DATOS QUE SE TENIAN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD